## Makefile.am for tork

# this is the program that gets installed.  it's name is used for all
# of the other Makefile.am variables
bin_PROGRAMS = tork

if EXTERNAL_GEOIP
geoiplib=-lGeoIP
geoipdir=
else
geoiplib=GeoIP-1.4.0/libGeoIP/libGeoIP.la
geoipdir=GeoIP-1.4.0
endif

SUBDIRS=icons arkollon $(geoipdir) privoxytemplates \
		menu scripts upnp .
# torkapplet konqplugin tor_ioslave - removed from build

DISTCLEANFILES=dcoptork.kidl

# set the include path for X, qt and TDE
INCLUDES         = $(all_includes)

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

# the library search path.
tork_LDFLAGS = $(KDE_RPATH) $(all_libraries)

# the libraries to link against.
tork_LDADD   = $(LIB_TDEIO) $(LIB_KFILE) $(LIB_TDEHTML) $(geoiplib) $(LIB_TDEUI) $(LIB_TDECORE) -lDCOP $(LIB_TQT) \
               upnp/libktupnp.la $(CRYPTO_LIBS)

# which sources should be compiled for tork
tork_SOURCES = chart.cpp configdialog.cpp crashhandler.cpp \
	crypto.cpp dcoptork.kidl dcoptork.skel dndlistview.cpp firewallsproxies.ui \
	functions.cpp hiddensrvs.ui hidsrvwizard.ui hitwidget.cpp hitwidget_layout.ui \
	introwizard.ui kerrylabel.cpp konqueror.ui kwidgetlistbox.cpp likeback.cpp main.cpp \
	maxmin.ui mixminion.ui newfirstrunwizard.ui newstreamosd.cpp overlayWidget.cpp \
	paranoia.ui popupMessage.cpp quickconfig.ui running.ui server.ui serverwizard.ui \
	statgraph.cpp testprivacyproxy.cpp torclient.cpp tork.cpp torkactivelabel.cpp \
	torkconfig.kcfgc torkview.cpp torkview_base.ui torservers.ui trayhoverpopup.cpp \
	trayicon.cpp update.cpp upnpmanager.cpp usability.ui

xdg_apps_DATA = tork.desktop
kde_kcfg_DATA = torkconfig.kcfg

# these are the headers for your project
noinst_HEADERS = crypto.h dcoptork.h likeback.h likeback_private.h \
	update.h warnings.h


messages: rc.cpp
	$(EXTRACTRC) `find . -name \*.ui -o -name \*.rc` > rc.cpp
	$(XGETTEXT) *.h *.cpp -o $(podir)/tork.pot

KDE_ICON = \
	cr16-app-tork.png \
	cr22-app-tork.png \
	cr32-app-tork.png \
	cr48-app-tork.png \
	cr64-app-tork.png \
	cr128-app-tork.png \
	hi16-app-tork_old.png \
	hi32-app-tork_old.png \
	crsc-app-tork.svg \
	 \
	cr16-action-likeback_configure_tork.png \
	cr16-action-likeback_dislike_tork.png \
	cr16-action-likeback_feature_tork.png \
	cr16-action-likeback_bug_tork.png \
	cr16-action-likeback_like_tork.png

# this is where the servicemenu file will go
konqservice_DATA = tork_downloadwithfirefox.desktop tork_downloadwithopera.desktop \
				   tork_downloadwithkonqueror.desktop
konqservicedir = $(kde_datadir)/konqueror/servicemenus

# this is where the XML-GUI resource file goes
rcdir = $(kde_datadir)/tork
rc_DATA = torkui.rc

eventsrcdir = $(kde_datadir)/tork
eventsrc_DATA = eventsrc 

manpagedir = $(mandir)/man1
manpage_DATA = tork.1 

pixmapdir = $(prefix)/share/pixmaps
pixmap_DATA = tork.xpm

main.o : usability.h torservers.h torkview_base.h maxmin.h running.h torkconfig.h firewallsproxies.h server.h quickconfig.h newfirstrunwizard.h hiddensrvs.h hidsrvwizard.h konqueror.h introwizard.h paranoia.h
